Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Interface ModelListener

    public interface ModelListener

The Interface to be implemented by any class that wants to be notified by model which makes use of this callback-Interface.

Method Summary
`void` | `displayMessage(String messageString, boolean isError)` Informs the Visualizer that a message should be displayed.
`void` | `updateVisualizer()` Informs the Visualizer that the model has changed.

Method Detail

### updateVisualizer

    void updateVisualizer()

  Informs the Visualizer that the model has changed.

### displayMessage

    void displayMessage(String messageString,
                        boolean isError)

  Informs the Visualizer that a message should be displayed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.